# Gtk::MenuBar Class Reference
[Widgets, Menu classes]

A standard menu bar which usually holds Gtk::Menu submenu items. More...

Inherits Gtk::MenuShell.

Collaboration diagram for Gtk::MenuBar:
[legend]

List of all members.

## Public Member Functions

virtual | ~MenuBar ()
GtkMenuBar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkMenuBar* | gobj () const
| Provides access to the underlying C GtkObject.
| MenuBar ()

## Related Functions

(Note that these are not member functions.)
Gtk::MenuBar* | wrap (GtkMenuBar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A standard menu bar which usually holds Gtk::Menu submenu items.

The useful methods are in the base class - Gtk::MenuShell.

The MenuBar widget looks like this:

## Constructor & Destructor Documentation

virtual Gtk::MenuBar::~MenuBar | ( |  | ) | `[virtual]`

Gtk::MenuBar::MenuBar | ( |  | ) |

## Member Function Documentation

const GtkMenuBar* Gtk::MenuBar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuShell.

GtkMenuBar* Gtk::MenuBar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuShell.

## Friends And Related Function Documentation

Gtk::MenuBar* wrap | ( | GtkMenuBar * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/menubar.h